|  | Home · All Classes · Modules

# QTcpSocket Class Reference
[QtNetwork module]

The QTcpSocket class provides a TCP socket. More...

Inherits QAbstractSocket.

Inherited by QSslSocket.

### Methods

- __init__ (self, QObject parent = None)

## Detailed Description

The QTcpSocket class provides a TCP socket.

TCP (Transmission Control Protocol) is a reliable, stream-oriented, connection-oriented transport protocol. It is especially well suited for continuous transmission of data.

QTcpSocket is a convenience subclass of QAbstractSocket that allows you to establish a TCP connection and transfer streams of data. See the QAbstractSocket documentation for details.

Note: TCP sockets cannot be opened in QIODevice.Unbuffered mode.

### Symbian Platform Security Requirements

On Symbian, processes which use this class must have the `NetworkServices` platform security capability. If the client process lacks this capability, it will result in a panic.

Platform security capabilities are added via the TARGET.CAPABILITY qmake variable.

## Method Documentation

### QTcpSocket.__init__ (self, QObject parent = None)

The parent argument, if not None, causes self to be owned by Qt instead of PyQt.

Creates a QTcpSocket object in state `UnconnectedState`.

parent is passed on to the QObject constructor.

See also socketType().